Mageia 2022-0166: python-pillow security update | LinuxSecurity.com
MGASA-2022-0166 - Updated python-pillow packages fix security vulnerability

Publication date: 12 May 2022
URL: https://advisories.mageia.org/MGASA-2022-0166.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2022-22815,
     CVE-2022-22816,
     CVE-2022-22817,
     CVE-2022-24303

path_getbbox in path.c in Pillow before 9.0.0 improperly initializes
ImagePath.Path. (CVE-2022-22815)
path_getbbox in path.c in Pillow before 9.0.0 has a buffer over-read
during initialization of ImagePath.Path. (CVE-2022-22816)
PIL.ImageMath.eval in Pillow before 9.0.0 allows evaluation of arbitrary
expressions (CVE-2022-22817)
Pillow before 9.0.1 allows attackers to delete files because spaces in
temporary pathnames are mishandled. (CVE-2022-24303)

References:
- https://bugs.mageia.org/show_bug.cgi?id=29887
- https://ubuntu.com/security/notices/USN-5227-1
- https://www.debian.org/security/2022/dsa-5053
- https://lists.fedoraproject.org/archives/list/[email protected]/thread/CK3IGXU77EQTXZAYI2PTIAI4XLFS7AFP/
- https://lists.fedoraproject.org/archives/list/[email protected]/thread/JR2LTB6KTUEU7YVPJ5MHA2GHOIL2JQQE/
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-22815
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-22816
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-22817
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-24303

SRPMS:
- 8/core/python-pillow-9.1.0-1.mga8

Mageia 2022-0166: python-pillow security update

path_getbbox in path.c in Pillow before 9.0.0 improperly initializes ImagePath.Path

Summary

path_getbbox in path.c in Pillow before 9.0.0 improperly initializes ImagePath.Path. (CVE-2022-22815) path_getbbox in path.c in Pillow before 9.0.0 has a buffer over-read during initialization of ImagePath.Path. (CVE-2022-22816) PIL.ImageMath.eval in Pillow before 9.0.0 allows evaluation of arbitrary expressions (CVE-2022-22817) Pillow before 9.0.1 allows attackers to delete files because spaces in temporary pathnames are mishandled. (CVE-2022-24303)

References

- https://bugs.mageia.org/show_bug.cgi?id=29887

- https://ubuntu.com/security/notices/USN-5227-1

- https://www.debian.org/security/2022/dsa-5053

- https://lists.fedoraproject.org/archives/list/[email protected]/thread/CK3IGXU77EQTXZAYI2PTIAI4XLFS7AFP/

- https://lists.fedoraproject.org/archives/list/[email protected]/thread/JR2LTB6KTUEU7YVPJ5MHA2GHOIL2JQQE/

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-22815

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-22816

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-22817

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-24303

Resolution

MGASA-2022-0166 - Updated python-pillow packages fix security vulnerability

SRPMS

- 8/core/python-pillow-9.1.0-1.mga8

Severity
Publication date: 12 May 2022
URL: https://advisories.mageia.org/MGASA-2022-0166.html
Type: security
CVE: CVE-2022-22815, CVE-2022-22816, CVE-2022-22817, CVE-2022-24303

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.